Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.1
Subject: Check for stripped comments not working
Description

The bootstrap checks for the presence of doc comments, to avoid problems with some bytecode caches that strip comments.

That check is not working correctly (FALSE is returned but the check expects an empty string). In case an error is seen, the exception
cannot be thrown as well (no classloader available at that point).

Associated revisions
Revision 8264f7eb - 2011-12-09 17:07 - Karsten Dambekalns

[BUGFIX] Fix check for stripped comments

The bootstrap checks for the presence of doc comments, to avoid
problems with some bytecode caches that strip comments.

That check did not work correctly (FALSE is returned but the check
expects an empty string). In case an error is seen, the exception
cannot be thrown as well (no classloader available at that point).
That exception issue has been been fixed for another check as well.

On top of this the check for magic_quotes_gpc has been adjusted a
tiny bit.

Change-Id: I61970255d8f4a8e1bd98431405fc39106c884e1d
Fixes: #32049
Releases: 1.0, 1.1

Revision acf8f34c - 2011-12-09 17:09 - Karsten Dambekalns

[BUGFIX] Fix check for stripped comments

The bootstrap checks for the presence of doc comments, to avoid
problems with some bytecode caches that strip comments.

That check did not work correctly (FALSE is returned but the check
expects an empty string). In case an error is seen, the exception
cannot be thrown as well (no classloader available at that point).
That exception issue has been been fixed for another check as well.
On top of this the check for magic_quotes_gpc has been adjusted a
tiny bit.

Change-Id: I23bb1e88ea153b11583ed0768f1de4f31c8da717
Fixes: #32049
Releases: 1.0, 1.1

History
#1 - 2011-11-24 12:06 - Mr. Jenkins

Patch set 1 of change I23bb1e88ea153b11583ed0768f1de4f31c8da717 has been pushed to the review server.
It is available at http://review.typo3.org/6888

#2 - 2011-11-24 13:13 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-12-09 17:08 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7173

#4 - 2011-12-09 17:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/6888

#5 - 2011-12-09 17:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:acf8f34c16ff294ef2992fbecc0fa604c120b2e3.
